Skip to main content
`Ctrl`+`K`

# TaoLineSearchReset

Some line searches may carry state information from one `TaoLineSearchApply()` to the next. This function resets this state information.

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchReset(TaoLineSearch ls)

Collective

## Input Parameter

- ls - the `TaoLineSearch` context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchCreate()`, `TaoLineSearchApply()`

## Level

developer

## Location

src/tao/linesearch/interface/taolinesearch.c

## Implementations

TaoLineSearchReset_Armijo() in src/tao/linesearch/impls/armijo/armijo.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages